Deployments - Get By Device
지정된 디바이스에 설치해야 하는 이미지 목록을 가져옵니다.
GET https://prod.core.sphere.azure.net/v2/tenants/{tenantId}/devices/{deviceId}/images
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
device
|
path | True |
string |
배포된 이미지를 검색할 디바이스의 ID입니다. |
|
tenant
|
path | True |
string uuid |
Azure Sphere 테넌트 ID입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
성공. |
정의
| Name | Description |
|---|---|
|
Image |
|
|
Image |
ImageMetadata
| Name | 형식 | Description |
|---|---|---|
| ComponentId |
string |
구성 요소 식별자를 가져오거나 설정합니다. |
| Description |
string |
이미지를 설명하는 정보를 가져오거나 설정합니다. |
| Id |
string |
이미지 식별자를 가져오거나 설정합니다. |
| ImageType |
integer |
이 속성은 사용되지 않습니다. ImageMetadata.Type을 사용하세요. |
| Name |
string |
이미지의 이름을 가져오거나 설정합니다. |
| Type |
enum:
|
이미지의 형식을 가져오거나 설정합니다. |
ImageMetadataItemCollectionResponse
| Name | 형식 | Description |
|---|---|---|
| ContinuationToken |
string |
다음 항목 집합을 가져오는 데 사용할 수 있는 연속 토큰입니다. |
| Items |
항목 목록입니다. |